<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="wp-toolbar" class="site-main" role="main">
	<?php do_action( 'multi_mobile_app_above_slider' ); ?>

	<?php if( get_theme_mod('multi_mobile_app_slider_hide_show') != ''){ ?>
		<section id="slider">
		  	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
			    <?php $multi_mobile_app_slider_pages = array();
			      	for ( $count = 1; $count <= 4; $count++ ) {
				        $mod = intval( get_theme_mod( 'multi_mobile_app_slider' . $count ));
				        if ( 'page-none-selected' != $mod ) {
				          	$multi_mobile_app_slider_pages[] = $mod;
				        }
			      	}
			      	if( !empty($multi_mobile_app_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $multi_mobile_app_slider_pages,
			          	'orderby' => 'post__in'
			        );
			        $query = new WP_Query( $args );
			        if ( $query->have_posts() ) :
			          $i = 1;
			    ?>     
			    <div class="carousel-inner" role="listbox">
			      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
			        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
			          	<?php the_post_thumbnail(); ?>
			          	<div class="carousel-caption">
				            <div class="inner_carousel">
				              	<h1><?php the_title(); ?></h1>
				              	<p><?php $excerpt = get_the_excerpt(); echo esc_html( multi_mobile_app_string_limit_words( $excerpt,15 ) ); ?></p>
				            </div>
				            <div class="read-btn">
			            		<a href="<?php the_permalink(); ?>" title="<?php esc_attr_e( 'Read More', 'multi-mobile-app' ); ?>"><?php esc_html_e('Read More','multi-mobile-app'); ?><span class="screen-reader-text"><?php esc_html_e('Read More','multi-mobile-app'); ?></span></a>
					       	</div>
			          	</div>
			        </div>
			      	<?php $i++; endwhile; 
			      	wp_reset_postdata();?>
			    </div>
			    <?php else : ?>
			    <div class="no-postfound"></div>
			      <?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
		      		<span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
		      		<span class="screen-reader-text"><?php esc_html_e( 'Previous','multi-mobile-app' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
		      		<span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
		      		<span class="screen-reader-text"><?php esc_html_e( 'Next','multi-mobile-app' );?></span>
			    </a>
		  	</div>  
		  	<div class="clearfix"></div>
		</section>
	<?php }?>

	<?php do_action('multi_mobile_app_below_slider'); ?>

	<?php /*--- Our services ---*/ ?>
	<?php if( get_theme_mod('multi_mobile_app_services_title') != '' || get_theme_mod( 'multi_mobile_app_services_cat' )!= ''){ ?>
		<section id="our_service">
			<div class="container">
				<div class="services-head">
					<?php if( get_theme_mod('multi_mobile_app_services_title') != ''){ ?>
			        	<h2><?php echo esc_html(get_theme_mod('multi_mobile_app_services_title','')); ?></h2>
			        	<img src="<?php echo esc_html(get_template_directory_uri() . '/assets/images/border.png');?>" class="border-img" alt="<?php esc_attr_e( 'Border Image','multi-mobile-app' );?>">
			        <?php }?>
			    </div>
				<div class="row">
					<?php $multi_mobile_app_catData1=  get_theme_mod('multi_mobile_app_services_cat'); 
					if($multi_mobile_app_catData1){ 
			  			$args = array(
							'post_type' => 'post',
							'category_name' => esc_html($multi_mobile_app_catData1 ,'multi-mobile-app')
				        );
		      		$page_query = new WP_Query($args);?>
					<?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
						<div class="col-lg-3 col-md-6 services">
							<div class="services-box">
								<div class="servicesbox-img">
									<?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?>
									<?php } ?>
									<div class="read-more">
										<a href="<?php the_permalink(); ?>"><i class="fas fa-link"></i><span class="screen-reader-text"><?php esc_html_e('Read More','multi-mobile-app'); ?></span></a>
									</div>
								</div>
						      	<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						    </div>	
						</div>
			  		<?php endwhile; 
			      	wp_reset_postdata();
			      	}?>
		        </div>
			</div>
		</section>
	<?php }?>

	<?php do_action('multi_mobile_app_below_services_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	        <?php the_content(); ?>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>